## lablgl 1.03

=== Togl/src/Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 
 $(TOGLDIR)/togl.d.obj:
 	cd $(TOGLDIR) && \
-        $(CAMLC) -c -ccopt "/MD /Fotogl.d.obj -DWIN32" \
+        $(CAMLC) -c -ccopt "/Fotogl.d.obj -DWIN32" \
 		-ccopt "$(COPTS) $(INCLUDES) -I." \
 		togl.c
 
@@ -102,7 +102,7 @@
 clean:
 	rm -f *.cm* *.o *.obj *.so *.lib *.a *.dll *.exe *.opt *_tags.c \
 	    *_tags.h *~ lablgltop$(EX) lablgl
-	rm -f $(TOGLDIR)/togl$(XO)
+	rm -f $(TOGLDIR)/togl$(XO) $(TOGLDIR)/togl.d$(XO)
 
 depend:
 	ocamldep  -pp camlp4o *.ml *.mli > .depend
