=== debian/changelog ===
lablgl (1.04-5) unstable; urgency=low

  * Use Tcl/Tk 8.5

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Dec 2009 12:27:37 +0100

lablgl (1.04-4) unstable; urgency=low

  * Converted to source format 3.0 (quilt)
    - added debian/source/format
  * Fixed the Makefile in the examples to make compilation work.  Patch:
    compilation-examples. Closes: Bug#425465. Thanks a lot to Russell
    Sears for the patch!

 -- Ralf Treinen <treinen@debian.org>  Thu, 03 Dec 2009 21:50:04 +0100

lablgl (1.04-3) unstable; urgency=low

  * debian/rules: switch to dh and dh-ocaml 0.9
  * debian/control:
    - switch to dh-ocaml 0.9
    - move to section ocaml
    - add Homepage
    - update Standards-Version to 3.8.3
    - Build-depends: update dh-ocaml, ocaml and debhelper
    - Uploaders: update my e-mail address, remove Sven

 -- Stéphane Glondu <glondu@debian.org>  Wed, 23 Sep 2009 20:48:30 +0200

lablgl (1.04-2) unstable; urgency=low

  [ Stephane Glondu ]
  * Switch packaging to git
  * Add myself to Uploaders
  * Remove Julien from uploaders
  * Get closer to CDBS interface
  * Remove dpatch dependency
  * Remove versioned dependencies on OCaml introduced for experimental
  * Remove versioned dependencies available in stable
  * Add debian/clean

  [ Samuel Mimram ]
  * Upload to unstable and build with OCaml 3.11.
  * Use dh-ocaml predefined variables.

 -- Samuel Mimram <smimram@debian.org>  Wed, 25 Feb 2009 10:27:41 +0100

lablgl (1.04-1) experimental; urgency=low

  * New upstream release.
  * Updated compat to 7.
  * Updated standards version to 3.8.0.
  * Depend on libgl1-mesa-dev instead of xlibmesa-gl-dev.
  * Depend on libglu1-mesa-dev instead of libglu1-xorg-dev.
  * Depend on x11proto-core-dev instead of x-dev.

 -- Samuel Mimram <smimram@debian.org>  Tue, 10 Feb 2009 12:50:41 +0100

lablgl (1.03-4) experimental; urgency=low

  * Fixed versioning of camlp4 to force resolution against ocaml 3.11
    on experimental.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 17 Dec 2008 01:37:31 +0100

lablgl (1.03-3) experimental; urgency=low

  * Upload to experimental to build against ocaml 3.11.
  * Versioned build-dep on ocaml to avoid confusion.
  * Added build-dep on dh-ocaml (needs the file ocaml-docbase-template.txt).

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 15 Dec 2008 17:12:48 +0100

lablgl (1.03-2) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Ralf Treinen ]
  * Recompiled for ocaml 3.10.2.
  * Added myself to Uploaders

 -- Ralf Treinen <treinen@debian.org>  Mon, 07 Apr 2008 20:50:45 +0200

lablgl (1.03-1) unstable; urgency=low

  * New upstream release.
  * We don't need to remove rpaths anymore.
  * Bumped standards version to 3.7.3, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Tue, 11 Dec 2007 10:03:51 +0000

lablgl (1.02-7) unstable; urgency=low

  * Build-depends on ocaml 3.10.0-8 to be able to generate *.doc-
    base.ocamldoc-apiref

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 04 Sep 2007 17:53:58 +0200

lablgl (1.02-6) unstable; urgency=low

  * Generate ocamldoc documentation

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 03 Sep 2007 23:16:44 +0200

lablgl (1.02-5) unstable; urgency=low

  [ Samuel Mimram ]
  * Correct symlink for lablglut manpage (closes: #435895).
  * Updated watch file.

  [ Sylvain Le Gall ]
  * Upgrade build-dep on ocaml to version 3.10.0

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 03 Sep 2007 16:36:57 +0200

lablgl (1.02-4) experimental; urgency=low

  * Rebuild for ocaml 3.10.0
  * Don't ignore errors in $(MAKE) clean
  * Add myself to uploader
  * Use binary:Version
  * Add manpages for lablgl, lablglut
  * Remove file generated from debian/*.in

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 14 Jul 2007 02:40:56 +0200

lablgl (1.02-3) unstable; urgency=low

  * Build-Depend on debhelper (>= 4.0) since we use compat level 4.
  * Improve copyright file and add missing information there.
  * Move README.Debian to TODO.
  Thanks to Christoph Berg for his remarks about all this.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Thu, 22 Jun 2006 20:52:30 +0200

lablgl (1.02-2) unstable; urgency=low

  * Rebuild with OCaml 3.09.2.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Mon, 15 May 2006 21:23:56 +0000

lablgl (1.02-1) unstable; urgency=low

  * New upstream release.
  * Rebuild with OCaml 3.09.1.

 -- Samuel Mimram <smimram@debian.org>  Sat,  7 Jan 2006 13:02:34 +0100

lablgl (1.01-9) unstable; urgency=low

  * Build-dep on chrpath and delete the rpath from the stub libraries.
  * Drop lintian overrides.
  * Add myself to Uploaders.
  * liblablgl-ocaml-dev depends on libxmu-dev (Closes: #336128) and
    freeglut3-dev (Closes: #295969).
  * Use freeglut3-dev instead of libglut3-dev in Build-Depends.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Wed, 30 Nov 2005 19:46:16 +0100

lablgl (1.01-8) unstable; urgency=low

  * Rebuilt for ocaml 3.09.0.
  * No hardcoded ocaml abi versions anymore.

 -- Sven Luther <luther@debian.org>  Thu, 27 Oct 2005 22:29:48 +0000

lablgl (1.01-7) unstable; urgency=low

  [ Julien Cristau ]
  * libXxf86vm is not used by lablgl, so we:
    + remove libxxf86vm-dev dependency from liblablgl-ocaml-dev.
    + remove -lXxf86vm from Makefile.config.
    (Closes: #325915)

  [ Samuel Mimram ]
  * New maintainer, added myself to uploaders.

 -- Samuel Mimram <smimram@debian.org>  Fri,  9 Sep 2005 13:08:23 +0200

lablgl (1.01-6) unstable; urgency=low

  * Added a watch file
  * Added dependency to libglu1-xorg-dev as an alternative to
    xlibmesa-glu-dev.
    (Closes: #319281)
  * Cleanup Build-depends, with explanations for each of them:
    replace xlibs-dev with individual library packages, add tcl8.4-dev, remove
    libncurses5-dev.
    Also remove libxxf86vm-dev, which is not needed. (Julien Cristau)
  * Upgrade to standards 3.6.2.0 (no change)


