=== debian/watch ===
version=3
http://wwwfun.kurims.kyoto-u.ac.jp/soft/lsl/lablgl.html dist/lablgl-([0-9]\..*)\.tar\.gz
