=== src/Makefile ===
--- 
+++ 
@@ -16,16 +16,19 @@
 		glMat.cmo	glMisc.cmo	glPix.cmo	glClear.cmo \
 		glTex.cmo	glDraw.cmo	glFunc.cmo	gluMisc.cmo \
 		gluNurbs.cmo	gluQuadric.cmo	gluTess.cmo	gluMat.cmo \
-		glArray.cmo
+		glArray.cmo	glShader.cmo
 MLOBJS = $(LIBOBJS)	togl.cmo
 OPTOBJS = $(LIBOBJS:.cmo=.cmx)
 COBJS =		ml_gl$(XO)	ml_glu$(XO)	ml_raw$(XO) ml_glarray$(XO) \
-		ml_glutess$(XO)
+		ml_glutess$(XO)	ml_shader$(XO)
 TOGLOBJS =	ml_togl$(XO)	$(TOGLDIR)/togl$(XO)
 
-all:	var2def$(XE) var2switch$(XE) lablgl.cma
+all: tools
+	$(MAKE) lablgl.cma
 
 opt: lablgl.cmxa
+
+tools: var2def$(XE) var2switch$(XE)
 
 var2def$(XE): var2def.ml
 	$(LINKER) -pp camlp4o var2def.ml -o $@
@@ -46,12 +49,11 @@
 	$(OPTLINK) -a -o $@ $(OPTOBJS) -cclib -llablgl \
 	  -cclib "$(GLLIBS)"
 else
-liblablgl.a: $(COBJS) $(CONFIG)
-	$(LIBRARIAN) -o lablgl $(COBJS) $(GLLIBS) $(XLIBS)
-lablgl.cma: liblablgl.a $(LIBOBJS) $(CONFIG)
-	$(LIBRARIAN) -o lablgl $(LIBOBJS) $(GLLIBS) $(XLIBS)
-lablgl.cmxa: liblablgl.a $(OPTOBJS) $(CONFIG)
-	$(LIBRARIAN) -o lablgl $(OPTOBJS) $(GLLIBS) $(XLIBS)
+liblablgl$(XA): lablgl.cma
+lablgl.cma: $(COBJS) $(LIBOBJS) $(CONFIG)
+	$(LIBRARIAN) -o lablgl $(COBJS) $(LIBOBJS) $(GLLIBS) $(XLIBS)
+lablgl.cmxa: $(COBJS) $(OPTOBJS) $(CONFIG)
+	$(LIBRARIAN) -o lablgl $(COBJS) $(OPTOBJS) $(GLLIBS) $(XLIBS)
 endif
 
 gl_tags.c: gl_tags.var
@@ -60,13 +62,23 @@
 glu_tags.c: glu_tags.var
 	$(VAR2SWITCH) GLU_ < glu_tags.var > $@
 
-install:
+build.ml: build.ml.in ../Makefile.config
+	sed -e "s|@LABLGL_MLS@|$(LIBOBJS:.cmo=)|" \
+	    -e "s|@TOGL_MLS@|togl|" \
+	    -e "s|@GLUT_MLS@|glut|" \
+	    -e "s|@GLLIBS@|$(GLLIBS0)|" \
+	    -e "s|@TKLIBS@|$(TKLIBS0)|" \
+	    -e "s|@GLUTLIBS@|$(GLUTLIBS0)|" < build.ml.in > $@
+
+preinstall: build.ml
 	if test -d "$(INSTALLDIR)"; then : ; else mkdir -p "$(INSTALLDIR)"; fi
-	cp $(LIBOBJS:.cmo=.cmi) "$(INSTALLDIR)"
-	cp $(LIBOBJS:.cmo=.mli) "$(INSTALLDIR)"
-	cp liblablgl$(XA) lablgl.cma "$(INSTALLDIR)"
+	cp build.ml $(LIBOBJS:.cmo=.ml) $(LIBOBJS:.cmo=.mli) "$(INSTALLDIR)"
+	cp liblablgl$(XA) "$(INSTALLDIR)"
 	cd "$(INSTALLDIR)" && $(RANLIB) liblablgl$(XA)
 	if test -f dlllablgl$(XS); then cp dlllablgl$(XS) "$(DLLDIR)"; fi
+
+install: preinstall
+	cp $(LIBOBJS:.cmo=.cmi) lablgl.cma "$(INSTALLDIR)"
 	@if test -f lablgl.cmxa; then $(MAKE) installopt; fi
 
 installopt:
