=== Togl/src/Makefile ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	$(TKINCLUDES) -I. $(GLINCLUDES) $(XINCLUDES)
 LIBS = $(TKLIBS) $(GLLIBS) $(XLIBS)
 LIBDIRS =
-
+ifeq (TOGL_WS,TOGL_X11)
+COPTS += -DUSE_TCL_STUBS -DUSE_TK_STUBS
+endif
 OCAMLINC=-I +labltk -I $(SRCDIR)
 
 # Files
@@ -22,39 +24,15 @@
 
 opt: togl.cmxa
 
-ifeq ($(TOOLCHAIN), msvc)
-libtogl$(XA): $(TOGLOBJS) $(CONFIG)
-	$(MKLIB)$@ $(TOGLOBJS)
-dlltogl.dll: $(TOGLOBJS:$(XO)=.d$(XO))
-	$(MKDLL)$@ $(TOGLOBJS:$(XO)=.d$(XO)) $(GLLIBS) $(TKLIBS) $(OCAMLDLL)
-togl.cma: libtogl$(XA) dlltogl.dll togl.cmo $(CONFIG)
-	$(LINKER) -a -o $@ togl.cmo -cclib -ltogl -dllib -ltogl \
-	  -cclib "$(GLLIBS) $(TKLIBS)"
-togl.cmxa: libtogl$(XA) togl.cmx $(CONFIG)
-	$(OPTLINK) -a -o $@ togl.cmx -cclib -ltogl \
-	  -cclib "$(GLLIBS) $(TKLIBS)"
-#CUSTOMTOP = -verbose -custom unix.cma
-else
-libtogl.a: $(TOGLOBJS) $(CONFIG)
-	$(LIBRARIAN) -o togl $(TOGLOBJS) $(GLLIBS) $(TKLIBS) $(XLIBS)
-togl.cma: libtogl.a togl.cmo $(CONFIG)
-	$(LIBRARIAN) -o togl togl.cmo $(GLLIBS) $(TKLIBS) $(XLIBS)
-togl.cmxa: libtogl.a togl.cmx $(CONFIG)
-	$(LIBRARIAN) -o togl togl.cmx $(GLLIBS) $(TKLIBS) $(XLIBS)
-endif
+libtogl.a: togl.cma
+togl.cma: togl.cmo $(TOGLOBJS) $(CONFIG)
+	$(LIBRARIAN) -o togl togl.cmo $(TOGLOBJS) $(GLLIBS) $(TKLIBS) $(XLIBS)
+togl.cmxa: togl.cmx $(TOGLOBJS) $(CONFIG)
+	$(LIBRARIAN) -o togl togl.cmx $(TOGLOBJS) $(GLLIBS) $(TKLIBS) $(XLIBS)
 
-$(TOGLDIR)/togl.o:
-	cd $(TOGLDIR) && $(MAKE) togl.o CC="$(CAMLC)" CFLAGS='-c -ccopt "$(COPTS) $(INCLUDES) $(TK_FLAGS)"'
-
-$(TOGLDIR)/togl.obj:
+$(TOGLDIR)/togl$(XO): $(TOGLDIR)/togl.c $(TOPDIR)/Makefile.config
 	cd $(TOGLDIR) && \
-        $(CAMLC) -c -ccopt "-DWIN32 $(COPTS) $(INCLUDES) -I." togl.c
-
-$(TOGLDIR)/togl.d.obj:
-	cd $(TOGLDIR) && \
-        $(CAMLC) -c -ccopt "/Fotogl.d.obj -DWIN32" \
-		-ccopt "$(COPTS) $(INCLUDES) -I." \
-		togl.c
+	$(CAMLC) -verbose -c -ccopt "-D$(TOGL_WS) $(COPTS) $(INCLUDES)" togl.c
 
 lablgltop$(XE): ../../src/lablgl.cma togl.cma
 	ocamlmktop $(CUSTOMTOP) -I . $(OCAMLINC) -o $@ \
@@ -102,7 +80,7 @@
 clean:
 	rm -f *.cm* *.o *.obj *.so *.lib *.a *.dll *.exe *.opt *_tags.c \
 	    *_tags.h *~ lablgltop$(EX) lablgl
-	rm -f $(TOGLDIR)/togl$(XO) $(TOGLDIR)/togl.d$(XO)
+	rm -f $(TOGLDIR)/Makefile $(TOGLDIR)/*.o $(TOGLDIR)/*.obj
 
 depend:
 	ocamldep  -pp camlp4o *.ml *.mli > .depend
