=== debian/changelog ===
lablgl (1:1.05-3) unstable; urgency=medium

  * Switch to the default Tcl/Tk version from 8.5 since 8.5 is to be removed
    from Debian. Thanks to Sergei Golovan for the patch! (closes: #892990)
  * debian/copyright:
    - change license short name "BSD" to "BSD-3-clause"
    - add short license names GPL-2+, LGPL-2.1
    - https in format specifier
  * Standards-Version 4.1.3
  * debhelper compat level 11

 -- Ralf Treinen <treinen@debian.org>  Fri, 16 Mar 2018 09:44:22 +0100

lablgl (1:1.05-2) unstable; urgency=medium

  * Add liblabltk-ocaml-dev to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Oct 2015 06:54:02 +0200

lablgl (1:1.05-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 17 Dec 2013 15:31:14 +0100

lablgl (20120306-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 00:38:29 +0100

lablgl (20120306-1) experimental; urgency=low

  [ Ralf Treinen ]
  * Minor language corrections in package descriptions.
  * Fixed spelling error in lablgl.1 manpage.

  [ Mehdi Dogguy ]
  * Fix version number in META
  * Add myself to uploaders

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Lifeng Sun ]
  * New upstream release.
  * Bump debhelper compat level to 9.
  * debian/copyright: switch to Machine-readable format.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Add myself to Uploaders.
    - Update Homepage.
    - Canonical VCS-* fields.
    - liblablgl-ocaml-dev:
      + depends on ocaml-findlib.
      + minor changes to package description.
  * debian/watch: follow ocamlcore.org.

 -- Lifeng Sun <lifongsun@gmail.com>  Wed, 24 Jul 2013 15:21:15 +0800
