=== debian/watch ===
version=3
https://forge.ocamlcore.org/frs/?group_id=291 .*/lablgl-([0-9\.]{1,7})\.tar\.gz
