=== LablGlut/src/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # Files
 LIBOBJS = glut.cmo
 OPTOBJS = $(LIBOBJS:.cmo=.cmx)
-COBJS =	  wrap_gl$(XO)	wrap_glut$(XO)
+COBJS =	  wrap_glut$(XO)
 
 all: 	lib lablgluttop$(XE) lablglut$(XB)
 
@@ -35,12 +35,11 @@
 	$(OPTLINK) -a -o $@ $(OPTOBJS) -cclib -llablglut \
 	  -cclib "$(GLLIBS)" -cclib "$(GLUTLIBS)"
 else
-liblablglut.a: $(COBJS) ../../Makefile.config
-	$(LIBRARIAN) -o lablglut $(COBJS) $(GLUTLIBS) $(GLLIBS) $(XLIBS)
-lablglut.cma: liblablglut.a $(LIBOBJS) ../../Makefile.config
-	$(LIBRARIAN) -o lablglut $(LIBOBJS) $(GLUTLIBS) $(GLLIBS) $(XLIBS)
-lablglut.cmxa: liblablglut.a $(OPTOBJS) ../../Makefile.config
-	$(LIBRARIAN) -o lablglut $(OPTOBJS) $(GLUTLIBS) $(GLLIBS) $(XLIBS)
+liblablglut$(XA): lablglut.cma
+lablglut.cma: $(COBJS) $(LIBOBJS) ../../Makefile.config
+	$(LIBRARIAN) -o lablglut $(COBJS) $(LIBOBJS) $(GLUTLIBS) $(GLLIBS) $(XLIBS)
+lablglut.cmxa: $(COBJS) $(OPTOBJS) ../../Makefile.config
+	$(LIBRARIAN) -o lablglut $(COBJS) $(OPTOBJS) $(GLUTLIBS) $(GLLIBS) $(XLIBS)
 endif
 
 lablgluttop$(XE): lablglut.cma
