=== debian/changelog ===
lablgl (1:1.06-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Remove Lifeng from Uploaders (Closes: #925012)
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository-Browse.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-ocaml, dpkg-dev and ocaml.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Replace dependency on transitional package
      x11proto-core-dev with replacement x11proto-dev.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 08:44:30 +0200

lablgl (1:1.06-1) unstable; urgency=medium

  * New upstream release
    - remove camlp4 from Build-Depends
  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Remove Samuel from Uploaders
  * Bump debhelper compat level to 12
  * Update Homepage and debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Wed, 07 Aug 2019 11:05:06 +0200
