=== debian/control ===
--- 
+++ 
@@ -3,34 +3,31 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>,
- Ralf Treinen <treinen@debian.org>,
- Lifeng Sun <lifongsun@gmail.com>
+ Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper (>= 11),
- ocaml (>= 4.00.1),
+ debhelper-compat (= 13),
+ ocaml,
  tcl-dev,
  tk-dev,
  liblabltk-ocaml-dev,
- libgl1-mesa-dev | libgl-dev,
+ libgl-dev,
  libglu1-mesa-dev | libglu-dev,
  freeglut3-dev,
- x11proto-core-dev,
+ x11proto-dev,
  libxmu-dev,
  libx11-dev,
- dpkg-dev (>= 1.13.19),
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
  xsltproc,
- camlp4,
- dh-ocaml (>= 0.9)
-Standards-Version: 4.1.3
-Homepage: https://forge.ocamlcore.org/projects/lablgl/
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/lablgl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/lablgl.git
+ dh-ocaml
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://github.com/garrigue/lablgl
+Vcs-Git: https://salsa.debian.org/ocaml-team/lablgl.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/lablgl
 
 # Reasons for Build-Depends:
 #
@@ -69,7 +66,7 @@
 Package: liblablgl-ocaml-dev
 Architecture: any
 Depends:
- libgl1-mesa-dev | libgl-dev,
+ libgl-dev,
  libglu1-mesa-dev | xlibmesa-glu-dev | libglu-dev,
  tk-dev,
  ocaml-findlib,
