=== debian/watch ===
version=4
https://github.com/garrigue/lablgl/releases .*/archive/v(.*)\.tar\.gz
