=== debian/changelog ===
lablgl (1:1.07-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:53:06 +0200

lablgl (1:1.07-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 30 Sep 2023 21:27:30 +0200
