=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lablgl
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>,
@@ -12,6 +13,8 @@
  tcl-dev,
  tk-dev,
  liblabltk-ocaml-dev,
+ libcamlp-streams-ocaml-dev,
+ ocaml-findlib,
  libgl-dev,
  libglu1-mesa-dev | libglu-dev,
  freeglut3-dev,
