=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+VERSION:=$(shell sed -n "s/^LablGL \(.*\):/\1/p" CHANGES | head -n 1)
+export OCAMLINIT_SED=-e 's%@LABLGL_VERSION@%$(VERSION)%g'
+
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
@@ -39,3 +42,5 @@
 		BINDIR=$(CURDIR)/debian/liblablgl-ocaml-dev/usr/bin
 	cp debian/META $(CURDIR)/debian/liblablgl-ocaml-dev$(OCAML_STDLIB_DIR)/lablgl
 	ln -sf $(OCAML_STDLIB_DIR)/lablgl $(CURDIR)/debian/liblablgl-ocaml-dev$(OCAML_STDLIB_DIR)/lablGL
+
+override_dh_dwz:
